Package org.eclipse.jdt.core

# Interface IBufferFactory

public interface IBufferFactory
Deprecated.
Use `WorkingCopyOwner` instead
A factory that creates `IBuffer`s for openables.

This interface may be implemented by clients.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`IBuffer`
`createBuffer(IOpenable owner)`
Deprecated.
Creates a buffer for the given owner.

## Method Details

### createBuffer

IBuffer createBuffer(IOpenable owner)
Deprecated.
Creates a buffer for the given owner. The new buffer will be initialized with the contents of the owner if and only if it was not already initialized by the factory (a buffer is uninitialized if its content is `null`).

Parameters:
  `owner` - the owner of the buffer
Returns:
  the newly created buffer
See Also:
  - `IBuffer`